# coding: utf-8
import sys,os
import numpy as np
target=sys.argv[1]
file=sys.argv[2]
out_file=sys.argv[3]
with open(file) as r:
    lines = r.readlines()
new_l=[]
# fit by true case
k = 0.8
b = 0.1415
score_l = []
for line in lines:
    ll =line.split(',')
    if '-PF-m' in ll[0]:
        new_l.append([ll[0].split('+')[0]+'-PF-m'+ll[0].split('-PF-m')[1],str(k*float(ll[2])+b)])
    else:
        new_l.append([ll[0].split('+')[0]+'-PA-m'+ll[0].split('-PA-m')[1],str(k*float(ll[2])+b)])
    score_l.append(k*float(ll[2])+b)
m = np.mean(score_l)
v = np.std(score_l)
for index in range(len(new_l)):
    new_l[index].append(str((float(new_l[index][1])-m)/v))
    #new_l.append(' '.join([ll[0].split('_')[1],ll[2]]))
re = sorted(new_l,key=lambda x:(x[1],x[0]),reverse=True)
work_dir = os.path.dirname(out_file)
os.chdir(work_dir)
with open(out_file,'w') as w:
    w.write('PredModel PredLDDT Z-Score\n')
    for index,ll in enumerate(re):
        print(ll)
        if 'PF-m1' in ll[0]:
            os.system('ln -s '+ll[0]+'.pdb'+' '+target+'_fm_top1.pdb')
        if 'PA-m1' in ll[0]:
            os.system('ln -s '+ll[0]+'.pdb'+' '+target+'_tm_top1.pdb')
        if index<5:
            os.system('ln -s '+ll[0]+'.pdb'+' '+target+'_top_'+str(index+1)+'.pdb')
            #os.system('pyrama '+target+'_top_'+str(index+1)+'.pdb'+' '+target+'_top_'+str(index+1)+'.pdb.png')
            #os.symlink(ll[0]+'.pdb',target+'_top_'+str(index+1)+'.pdb')
        w.write(' '.join(ll)+'\n')
os.system('ln -s '+target+'-PF-m1.pdb'+' '+target+'_fm_top1.pdb')
os.system('for item in  *PA*.pdb ;do pyrama $item $item.png;done')
os.system('for item in  *top1*.pdb;do pyrama $item $item.png;done')
os.system('pyrama '+target+'_top_1.pdb '+target+'_top_1.pdb.png')
            #os.symlink(ll[0]+'.pdb',target+'_top_'+str(index+1)+'.pdb')
#os.system('tar -zcvf %s_models.tgz *top*pdb' % target)
        
