#!/home/konglupeng/anaconda3/bin/python
# coding: utf-8
import sys,os
key = sys.argv[1]
import shutil
item_path = sys.argv[2]#'/public/dbu/konglupeng/Zeta/workspace/data/casp14/results/T1100-D2'
best_score = 0
best_path = None
a3m_path = None
for subitem in os.listdir(item_path):
    subitem_path = os.path.join(item_path,subitem,key+'.txt')
    subnpz_path = os.path.join(item_path,subitem,key+'.npz')
    suba3m_path = os.path.join(item_path,subitem,key+'.a3m')
    if not os.path.exists(subitem_path):
        print(subitem_path,'not found.')
        continue
    with open(subitem_path) as r:
        lines = r.readlines()
    item_score = round(float(lines[-1].strip()),3)
    if item_score > best_score:
        best_score = item_score
        best_path = subnpz_path
        a3m_path = suba3m_path
    #print(lines[-1],subitem,best_score)
print(key, best_score,best_path)


shutil.copyfile(os.path.abspath(a3m_path), os.path.abspath(os.path.join(item_path,key+'.a3m')))
shutil.copyfile(os.path.abspath(best_path), os.path.abspath(os.path.join(item_path,key+'.npz')))
