#!/bin/bash

if [[ "$#" -ne "2" ]]; then
  echo 'Usage:'
  echo '  run_zetahit.sh <fasta> <output dir>'
  exit 1
fi

set -eu

HERE="$(readlink -f "$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)")"

$HERE/search_uniref30.sh $1 $2 &
#$HERE/search_uniref90.sh $1 $2 &
$HERE/search_bfd30.sh $1 $2 &
#$HERE/search_mgnify90.sh $1 $2 &
wait
