#!/home/konglupeng/anaconda3/bin/python
import sys

import numpy as np

def get_avg_contact(cbcb):
    contacts = np.sum(cbcb[:, :, :12], axis=2)
    contacts = np.triu(contacts, 12)
    L = contacts.shape[0] * 1
    contacts = contacts.reshape(-1)
    contacts.sort()
    con_avg = np.sum(contacts[-L:]) / L
    return con_avg
if __name__ == "__main__":
    if len(sys.argv)!=2:
        cmd = [sys.argv[0], 'pred_npz']
        sys.exit(' '.join(cmd))
    cbcb = np.load(sys.argv[1])["cbcb"]
    contacts = np.sum(cbcb[:, :, :12], axis=2)
    contacts = np.triu(contacts, 12)
    L = contacts.shape[0] * 1
    contacts = contacts.reshape(-1)
    contacts.sort()
    con_avg = np.sum(contacts[-L:]) / L
    print(con_avg)
